% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iscolour.R
\name{iscolour}
\alias{iscolour}
\title{Check Validity of Colour Representation}
\usage{
iscolour(x)
}
\arguments{
\item{x}{string or string vector of colour representations to test}
}
\value{
\item{y}{vector of TRUE or FALSE indicating whether the colour is valid}
}
\description{
iscolour checks whether a string or string vector contains valid colour representations
(in text or hexadecimal form). Useful in error checking colour arguments for functions,
 such as SBMap.plot.
}
\examples{

iscolour(c(NA, "black", "blackk", "1", "#00", "#000000"))
#   <NA>   black  blackk       1     #00 #000000
#   TRUE    TRUE   FALSE    TRUE   FALSE    TRUE

}
\seealso{
See original code on post in Stack Overflow
\href{https://stackoverflow.com/questions/13289009/check-if-character-string-is-a-valid-color-representation?utm_medium=organic&utm_source=google_rich_qa&utm_campaign=google_rich_qa}{
Check if character string is a valid color representation}

\code{\link{col.transparent}} for creating transparent colour codes
}
\keyword{check}
\keyword{colour}
\keyword{valid}
